#ifndef _CCL_COMMON
#define _CCL_COMMON

/*****************************/
/*** Use Required Librarys ***/
/*****************************/

#use "ccl.lib"

#ifndef _ADVAPI_INCLUDED
#define _ADVAPI_INCLUDED
#use "advapi32.lib"
#endif

/*************************/
/*** Derfine Constants ***/
/*************************/

#define CCL_NO_ERRORS -1

/*****************************/
/*** Create CCL Base Class ***/
/*****************************/

class CCL {

	/* Constructor & Destructor */

	declare CCL();
	declare _CCL();

	/* Static Methods */

	declare GetErrorType(),int;
	declare SetErrorType(int inErrType);

	declare GetLastError(),string;
	declare SetLastError(string inData);

	declare GetVersion(),int;
	declare SetVersion(int inVersion);

	/* Overidable Methods */

	declare virtual OnError(int type,string data);

	/* Class Members */

	int errType;
	string errData;

	int version;

}

#endif