#ifndef _CCL_DICTIONARY
#define _CCL_DICTIONARY

/**************************/
/*** Include Base Class ***/
/**************************/

#include "classes\common.inc"

/*********************************/
/*** Create Listnode Structure ***/
/*********************************/

struct listnode {

	pointer pData;
	listnode *pNext;
	listnode *pPrev;

}

/*******************************/
/*** Create Dictionary Class ***/
/*******************************/

class Dictionary : CCL {

	/*** Class Methods ***/

	declare Create(unsigned int size);
	declare Destroy(opt unsigned int delCallback=0);
	declare Hash(string str),unsigned int;
	declare Add(string key, pointer value);
	declare Get(string key),pointer;

	/*** Class Members ***/

	unsigned int m_uHashSize;
	listnode *m_pLists;

}

#endif