#ifndef _CCL_QUEUE
#define _CCL_QUEUE

/**************************/
/*** Include Base Class ***/
/**************************/

#include "classes\common.inc"

/*********************************/
/*** Create Listnode Structure ***/
/*********************************/

struct listnode {

	pointer pData;
	listnode *pNext;
	listnode *pPrev;

}

/**************************/
/*** Create Queue Class ***/
/**************************/

class Queue : CCL {

	/*** Constructor And Destructor ***/

	declare Queue();
	declare _Queue();

	/*** Class Methods ***/

	declare Create();
	declare Destroy();

	declare SetDelMode(int bMode);
	declare Put(pointer data);
	declare Get(),pointer;
	declare IsEmpty(),int;

	/*** Class Members ***/

	listnode *m_pQueue;
	listnode *m_pPosition;
	int m_bDeleteOnRemove;

}

#endif