#ifndef _CCL_STACK
#define _CCL_STACK

/**************************/
/*** Include Base Class ***/
/**************************/

#include "classes\common.inc"

/*********************************/
/*** Create Listnode Structure ***/
/*********************************/

struct listnode {

	pointer pData;
	listnode *pNext;
	listnode *pPrev;

}

/**************************/
/*** Create Stack Class ***/
/**************************/

class Stack : CCL {

	/*** Constructor And Destructor ***/

	declare Stack();
	declare _Stack();

	/*** Class Methods ***/

	declare Create();
	declare Destroy();

	declare SetDelMode(int bMode);
	declare Push(pointer data);
	declare Pop(),pointer;
	declare IsEmpty(),int;

	/*** Class Members ***/

	listnode *m_pStack;
	listnode *m_pPosition;
	int m_bDeleteOnRemove;

}

#endif