#ifndef _CCL_FUNCTIONS
#define _CCL_FUNCTIONS

/*****************************/
/*** Use Required Librarys ***/
/*****************************/

#use "CCL.lib"

#ifndef _ADVAPI_INCLUDED
#define _ADVAPI_INCLUDED
#use "advapi32.lib"
#endif

/************************/
/*** Define Constants ***/
/************************/

#define CCL_INFINITE 0xFFFFFFFF
#define CCL_WAIT_TIMEOUT 0x00000102

/**************************************/
/*** Declare Miscelaneous Functions ***/
/**************************************/

declare extern ThreadUnsafeExit(opt unsigned int exitcode=0);
declare extern ThreadExitCode(unsigned int handle),unsigned int;
declare extern ThreadStart(unsigned int fn,opt pointer param=0,opt unsigned int stacksize=0,opt pointer id=0),unsigned int;
declare extern ThreadUnsafeKill(unsigned int handle, opt unsigned int exitcode=0);
declare extern ThreadWait(unsigned int handle, unsigned int time),unsigned int;

declare extern AlreadyRunning(string strUniqueName),int;
declare extern GetAuroraDir(),string;

//declare extern Base64Encode(string *dst,string *src,unsigned int length),int;
declare extern IsLittleEndianMachine(),int;
declare extern IsBigEndianMachine(),int;

#endif