#ifndef _CCL_LIST
#define _CCL_LIST

/**************************/
/*** Include Base Class ***/
/**************************/

#include "classes\common.inc"

/*********************************/
/*** Create Listnode Structure ***/
/*********************************/

struct listnode {

	pointer pData;
	listnode *pNext;
	listnode *pPrev;

}

/********************************/
/*** Create Linked List Class ***/
/********************************/

class LinkedList : CCL {

	/* Constructor And Destructor*/

	declare LinkedList();
	declare _LinkedList();

	/* Class Methods */

	declare Add(pointer item),pointer;
	declare AddHead(pointer item),pointer;
	declare First(),pointer;
	declare Last(),pointer;
	declare Next(),pointer;
	declare Previous(),pointer;
	declare Data(),pointer;
	declare Remove(opt int bDelete=0),pointer;
	declare RemoveAll(opt int bDelete=0);
	declare SetDelMode(int bDeleteOnRemove);
	declare Current(),pointer;
	declare List(),pointer;

	/* Class Members */

	listnode *m_pList;
	listnode *m_pCurrent;
	unsigned int m_bDeleteOnRemove;

}

#endif