#ifndef _CCL_LL
#define _CCL_LL

/*****************************/
/*** Use Required Librarys ***/
/*****************************/

#use "ccl.lib"

/*********************************/
/*** Create Listnode Structure ***/
/*********************************/

struct listnode {

	pointer pData;
	listnode *pNext;
	listnode *pPrev;

}

/*************************************/
/*** Declare Linked List Functions ***/
/*************************************/

declare extern ListAdd(listnode *list, pointer item),pointer;
declare extern ListAddHead(listnode *list, pointer item),pointer;
declare extern ListCreate(),pointer;
declare extern ListGetData(listnode *list),pointer;
declare extern ListGetFirst(listnode *list),pointer;
declare extern ListGetLast(listnode *list),pointer;
declare extern ListGetNext(listnode *list),pointer;
declare extern ListGetPrev(listnode *list),pointer;
declare extern ListRemove(listnode *list, opt int bDelete = 0),pointer;
declare extern ListRemoveAll(listnode *list, opt int bDelete = 0);
/* not ready yet
declare cdecl extern ListAdd alias _ListAdd
	(listnode *list, pointer item),pointer;
declare cdecl extern ListAddHead alias _ListAddHead
	(listnode *list, pointer item),pointer;
declare cdecl extern ListCreate alias _ListCreate
	(),pointer;
declare cdecl extern ListGetData alias _ListGetData
	(listnode *list),pointer;
declare cdecl extern ListGetFirst alias _ListGetFirst
	(listnode *list),pointer;
declare cdecl extern ListGetLast alias _ListGetLast
	(listnode *list),pointer;
declare cdecl extern ListGetNext alias _ListGetNext
	(listnode *list),pointer;
declare cdecl extern ListGetPrev alias _ListGetPrev
	(listnode *list),pointer;
declare cdecl extern ListRemove alias _ListRemove
	(listnode *list, opt int bDelete = 0),pointer;
declare cdecl extern ListRemoveAll alias _ListRemoveAll
	(listnode *list, opt int bDelete = 0);
*/

#endif